Debian Bug report logs - #693577
libfso-glib: not properly built from source (actual source is in fso-specs)

version graph

Package: src:libfso-glib; Maintainer for src:libfso-glib is Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>;

Reported by: Paul Wise <pabs@debian.org>

Date: Sun, 18 Nov 2012 02:42:02 UTC

Severity: serious

Tags: squeeze-ignore, wheezy-ignore

Fixed in version libfso-glib/2012.07.27.2-1

Done: Sebastian Reichel <sre@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#693577; Package src:libfso-glib. (Sun, 18 Nov 2012 02:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
New Bug report received and forwarded. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Sun, 18 Nov 2012 02:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libfso-glib: not properly built from source (actual source is in fso-specs)
Date: Sun, 18 Nov 2012 10:40:22 +0800
[Message part 1 (text/plain, inline)]
Source: libfso-glib
Severity: serious
Usertags: built-using sentpatch
Tags: patch

Not sure if this bug should be RC or not, please downgrade it if not.
Either way, I suppose it should be wheezy-ignore since fixing it will
probably require a transition.

The source code that is in this package is all generated (see below) and
as far as I can tell, despite build-depending on the required source
(fso-specs) and the tools (vala-dbus-binding-tool) required to build
that source, the build process does not generate those files from
source.

https://buildd.debian.org/status/fetch.php?pkg=libfso-glib&arch=i386&ver=2012.05.24.1-1.1&stamp=1348873883

The package should also be using the new Built-Using field since it uses
source from another package:

http://www.debian.org/doc/debian-policy/ch-relationships.html#s-built-using

In addition the build system should be verbose, not silent.

If I delete the generated code and build from the actual source then the
package FTBFS because the ABI specified in fso-specs is different from
the ABI specified by the version of fso-specs

Please ask upstream to drop the generated files from their tarball and
instead force people to build-depend on the specs to prevent the sources
for the library and the specs from getting out-of-sync.

This patch should fix the not-building-from-source and silent-rules
issue but it will not fix the ABI change issue.

--- a/debian/rules
+++ b/debian/rules
@@ -2,9 +2,13 @@
 %:
 	dh $@ --with quilt --with autoreconf
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f src/*.vala src/*.vapi src/*.h src/*.c
+
 override_dh_auto_configure:
 	find . -name *_vala.stamp | xargs rm -f
-	dh_auto_configure -- --enable-vala
+	dh_auto_configure -- --enable-vala --disable-silent-rules
 
 override_dh_strip:
 	dh_strip --dbg-package=libfso-glib-dbg

pabs@chianamo ~/tmp/libfso-glib-2012.05.24.1 $ head -n1 src/*
==> src/freesmartphone-audio.c <==
/* freesmartphone-audio.c generated by valac 0.14.2, the Vala compiler

==> src/freesmartphone-audio.vala <==
/* Generated by vala-dbus-binding-tool 0.3.3. Do not modify! */

==> src/freesmartphone.c <==
/* freesmartphone.c generated by valac 0.14.2, the Vala compiler

==> src/freesmartphone-context.c <==
/* freesmartphone-context.c generated by valac 0.14.2, the Vala compiler

==> src/freesmartphone-context.vala <==
/* Generated by vala-dbus-binding-tool 0.3.3. Do not modify! */

==> src/freesmartphone-data.c <==
/* freesmartphone-data.c generated by valac 0.14.2, the Vala compiler

==> src/freesmartphone-data.vala <==
/* Generated by vala-dbus-binding-tool 0.3.3. Do not modify! */

==> src/freesmartphone-device.c <==
/* freesmartphone-device.c generated by valac 0.14.2, the Vala compiler

==> src/freesmartphone-device.vala <==
/* Generated by vala-dbus-binding-tool 0.3.3. Do not modify! */

==> src/freesmartphone-gsm.c <==
/* freesmartphone-gsm.c generated by valac 0.14.2, the Vala compiler

==> src/freesmartphone-gsm.vala <==
/* Generated by vala-dbus-binding-tool 0.3.3. Do not modify! */

==> src/freesmartphone.h <==
/* freesmartphone.h generated by valac 0.14.2, the Vala compiler, do not modify */

==> src/freesmartphone-pim.c <==
/* freesmartphone-pim.c generated by valac 0.14.2, the Vala compiler

==> src/freesmartphone-pim.vala <==
/* Generated by vala-dbus-binding-tool 0.3.3. Do not modify! */

==> src/freesmartphone-time.c <==
/* freesmartphone-time.c generated by valac 0.14.2, the Vala compiler

==> src/freesmartphone-time.vala <==
/* Generated by vala-dbus-binding-tool 0.3.3. Do not modify! */

==> src/freesmartphone.vala <==
/* Generated by vala-dbus-binding-tool 0.3.3. Do not modify! */

==> src/fso-glib-1.0.deps <==
glib-2.0

==> src/fso-glib-1.0.vapi <==
/* fso-glib-1.0.vapi generated by valac 0.14.2, do not modify. */

==> src/libfso_glib_la_vala.stamp <==
stamp

==> src/Makefile.am <==
include $(top_srcdir)/Makefile.decl

==> src/Makefile.in <==
# Makefile.in generated by automake 1.11.3 from Makefile.am.


dpkg-gensymbols: warning: some new symbols appeared in the symbols file: see diff output below
dpkg-gensymbols: warning: some symbols or patterns disappeared in the symbols file: see diff output below
dpkg-gensymbols: warning: debian/libfso-glib1/DEBIAN/symbols doesn't match completely debian/libfso-glib1.symbols
--- debian/libfso-glib1.symbols (libfso-glib1_2012.05.24.1-1.1_amd64)
+++ dpkg-gensymbolsRXr7IC	2012-11-18 02:21:28.008968520 +0000
@@ -352,6 +352,8 @@
  free_smartphone_gsm_call_activate_conference@Base 2012.02.16.1
  free_smartphone_gsm_call_activate_conference_finish@Base 2012.02.16.1
  free_smartphone_gsm_call_activate_finish@Base 2012.02.16.1
+ free_smartphone_gsm_call_deflect@Base 2012.05.24.1-1.1
+ free_smartphone_gsm_call_deflect_finish@Base 2012.05.24.1-1.1
  free_smartphone_gsm_call_detail_copy@Base 2012.02.16.1
  free_smartphone_gsm_call_detail_destroy@Base 2012.02.16.1
  free_smartphone_gsm_call_detail_dup@Base 2012.02.16.1
@@ -361,6 +363,24 @@
  free_smartphone_gsm_call_detail_init@Base 2012.02.16.1
  free_smartphone_gsm_call_emergency@Base 2012.02.16.1
  free_smartphone_gsm_call_emergency_finish@Base 2012.02.16.1
+ free_smartphone_gsm_call_forwarding_disable@Base 2012.05.24.1-1.1
+ free_smartphone_gsm_call_forwarding_disable_all@Base 2012.05.24.1-1.1
+ free_smartphone_gsm_call_forwarding_disable_all_finish@Base 2012.05.24.1-1.1
+ free_smartphone_gsm_call_forwarding_disable_finish@Base 2012.05.24.1-1.1
+ free_smartphone_gsm_call_forwarding_enable@Base 2012.05.24.1-1.1
+ free_smartphone_gsm_call_forwarding_enable_finish@Base 2012.05.24.1-1.1
+ free_smartphone_gsm_call_forwarding_get_status@Base 2012.05.24.1-1.1
+ free_smartphone_gsm_call_forwarding_get_status_finish@Base 2012.05.24.1-1.1
+ free_smartphone_gsm_call_forwarding_get_type@Base 2012.05.24.1-1.1
+ free_smartphone_gsm_call_forwarding_proxy_get_type@Base 2012.05.24.1-1.1
+ free_smartphone_gsm_call_forwarding_register_object@Base 2012.05.24.1-1.1
+ free_smartphone_gsm_call_forwarding_sync_disable@Base 2012.05.24.1-1.1
+ free_smartphone_gsm_call_forwarding_sync_disable_all@Base 2012.05.24.1-1.1
+ free_smartphone_gsm_call_forwarding_sync_enable@Base 2012.05.24.1-1.1
+ free_smartphone_gsm_call_forwarding_sync_get_status@Base 2012.05.24.1-1.1
+ free_smartphone_gsm_call_forwarding_sync_get_type@Base 2012.05.24.1-1.1
+ free_smartphone_gsm_call_forwarding_sync_proxy_get_type@Base 2012.05.24.1-1.1
+ free_smartphone_gsm_call_forwarding_sync_register_object@Base 2012.05.24.1-1.1
  free_smartphone_gsm_call_get_type@Base 2012.02.16.1
  free_smartphone_gsm_call_hold_active@Base 2012.02.16.1
  free_smartphone_gsm_call_hold_active_finish@Base 2012.02.16.1
@@ -385,6 +405,7 @@
  free_smartphone_gsm_call_status_to_string@Base 2012.02.16.1
  free_smartphone_gsm_call_sync_activate@Base 2012.02.16.1
  free_smartphone_gsm_call_sync_activate_conference@Base 2012.02.16.1
+ free_smartphone_gsm_call_sync_deflect@Base 2012.05.24.1-1.1
  free_smartphone_gsm_call_sync_emergency@Base 2012.02.16.1
  free_smartphone_gsm_call_sync_get_type@Base 2012.02.16.1
  free_smartphone_gsm_call_sync_hold_active@Base 2012.02.16.1
@@ -521,12 +542,12 @@
  free_smartphone_gsm_mux_sync_register_object@Base 2012.02.16.1
  free_smartphone_gsm_mux_sync_release_channel@Base 2012.02.16.1
  free_smartphone_gsm_mux_sync_set_status@Base 2012.02.16.1
- free_smartphone_gsm_network_disable_call_forwarding@Base 2012.02.16.1
- free_smartphone_gsm_network_disable_call_forwarding_finish@Base 2012.02.16.1
- free_smartphone_gsm_network_enable_call_forwarding@Base 2012.02.16.1
- free_smartphone_gsm_network_enable_call_forwarding_finish@Base 2012.02.16.1
- free_smartphone_gsm_network_get_call_forwarding@Base 2012.02.16.1
- free_smartphone_gsm_network_get_call_forwarding_finish@Base 2012.02.16.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_gsm_network_disable_call_forwarding@Base 2012.02.16.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_gsm_network_disable_call_forwarding_finish@Base 2012.02.16.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_gsm_network_enable_call_forwarding@Base 2012.02.16.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_gsm_network_enable_call_forwarding_finish@Base 2012.02.16.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_gsm_network_get_call_forwarding@Base 2012.02.16.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_gsm_network_get_call_forwarding_finish@Base 2012.02.16.1
  free_smartphone_gsm_network_get_calling_identification@Base 2012.02.16.1
  free_smartphone_gsm_network_get_calling_identification_finish@Base 2012.02.16.1
  free_smartphone_gsm_network_get_signal_strength@Base 2012.02.16.1
@@ -555,9 +576,9 @@
  free_smartphone_gsm_network_send_ussd_request_finish@Base 2012.02.16.1
  free_smartphone_gsm_network_set_calling_identification@Base 2012.02.16.1
  free_smartphone_gsm_network_set_calling_identification_finish@Base 2012.02.16.1
- free_smartphone_gsm_network_sync_disable_call_forwarding@Base 2012.02.16.1
- free_smartphone_gsm_network_sync_enable_call_forwarding@Base 2012.02.16.1
- free_smartphone_gsm_network_sync_get_call_forwarding@Base 2012.02.16.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_gsm_network_sync_disable_call_forwarding@Base 2012.02.16.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_gsm_network_sync_enable_call_forwarding@Base 2012.02.16.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_gsm_network_sync_get_call_forwarding@Base 2012.02.16.1
  free_smartphone_gsm_network_sync_get_calling_identification@Base 2012.02.16.1
  free_smartphone_gsm_network_sync_get_signal_strength@Base 2012.02.16.1
  free_smartphone_gsm_network_sync_get_status@Base 2012.02.16.1
@@ -582,7 +603,7 @@
  free_smartphone_gsm_pdp_get_credentials@Base 2012.02.16.1
  free_smartphone_gsm_pdp_get_credentials_finish@Base 2012.02.16.1
  free_smartphone_gsm_pdp_get_roaming_allowed@Base 2012.02.16.1
- free_smartphone_gsm_pdp_get_roaming_allowed_finish@Base 2012.02.16.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_gsm_pdp_get_roaming_allowed_finish@Base 2012.02.16.1
  free_smartphone_gsm_pdp_get_type@Base 2012.02.16.1
  free_smartphone_gsm_pdp_internal_status_update@Base 2012.02.16.1
  free_smartphone_gsm_pdp_internal_status_update_finish@Base 2012.02.16.1
@@ -591,7 +612,7 @@
  free_smartphone_gsm_pdp_set_credentials@Base 2012.02.16.1
  free_smartphone_gsm_pdp_set_credentials_finish@Base 2012.02.16.1
  free_smartphone_gsm_pdp_set_roaming_allowed@Base 2012.02.16.1
- free_smartphone_gsm_pdp_set_roaming_allowed_finish@Base 2012.02.16.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_gsm_pdp_set_roaming_allowed_finish@Base 2012.02.16.1
  free_smartphone_gsm_pdp_sync_activate_context@Base 2012.02.16.1
  free_smartphone_gsm_pdp_sync_deactivate_context@Base 2012.02.16.1
  free_smartphone_gsm_pdp_sync_get_context_status@Base 2012.02.16.1
@@ -738,15 +759,15 @@
  free_smartphone_info_sync_get_type@Base 2012.02.16.1
  free_smartphone_info_sync_proxy_get_type@Base 2012.02.16.1
  free_smartphone_info_sync_register_object@Base 2012.02.16.1
- free_smartphone_location_get_location@Base 2012.05.24.1
- free_smartphone_location_get_location_finish@Base 2012.05.24.1
- free_smartphone_location_get_type@Base 2012.05.24.1
- free_smartphone_location_proxy_get_type@Base 2012.05.24.1
- free_smartphone_location_register_object@Base 2012.05.24.1
- free_smartphone_location_sync_get_location@Base 2012.05.24.1
- free_smartphone_location_sync_get_type@Base 2012.05.24.1
- free_smartphone_location_sync_proxy_get_type@Base 2012.05.24.1
- free_smartphone_location_sync_register_object@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_location_get_location@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_location_get_location_finish@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_location_get_type@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_location_proxy_get_type@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_location_register_object@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_location_sync_get_location@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_location_sync_get_type@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_location_sync_proxy_get_type@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_location_sync_register_object@Base 2012.05.24.1
  free_smartphone_network_get_type@Base 2012.02.16.1
  free_smartphone_network_offer_default_route@Base 2012.02.16.1
  free_smartphone_network_offer_default_route_finish@Base 2012.02.16.1
@@ -1021,18 +1042,18 @@
  free_smartphone_pim_fields_sync_register_object@Base 2012.02.16.1
  free_smartphone_pim_message_delete@Base 2012.02.16.1
  free_smartphone_pim_message_delete_finish@Base 2012.02.16.1
- free_smartphone_pim_message_folder_get_message_count@Base 2012.05.24.1
- free_smartphone_pim_message_folder_get_message_count_finish@Base 2012.05.24.1
- free_smartphone_pim_message_folder_get_message_paths@Base 2012.05.24.1
- free_smartphone_pim_message_folder_get_message_paths_finish@Base 2012.05.24.1
- free_smartphone_pim_message_folder_get_type@Base 2012.05.24.1
- free_smartphone_pim_message_folder_proxy_get_type@Base 2012.05.24.1
- free_smartphone_pim_message_folder_register_object@Base 2012.05.24.1
- free_smartphone_pim_message_folder_sync_get_message_count@Base 2012.05.24.1
- free_smartphone_pim_message_folder_sync_get_message_paths@Base 2012.05.24.1
- free_smartphone_pim_message_folder_sync_get_type@Base 2012.05.24.1
- free_smartphone_pim_message_folder_sync_proxy_get_type@Base 2012.05.24.1
- free_smartphone_pim_message_folder_sync_register_object@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_pim_message_folder_get_message_count@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_pim_message_folder_get_message_count_finish@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_pim_message_folder_get_message_paths@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_pim_message_folder_get_message_paths_finish@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_pim_message_folder_get_type@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_pim_message_folder_proxy_get_type@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_pim_message_folder_register_object@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_pim_message_folder_sync_get_message_count@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_pim_message_folder_sync_get_message_paths@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_pim_message_folder_sync_get_type@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_pim_message_folder_sync_proxy_get_type@Base 2012.05.24.1
+#MISSING: 2012.05.24.1-1.1# free_smartphone_pim_message_folder_sync_register_object@Base 2012.05.24.1
  free_smartphone_pim_message_get_content@Base 2012.02.16.1
  free_smartphone_pim_message_get_content_finish@Base 2012.02.16.1
  free_smartphone_pim_message_get_multiple_fields@Base 2012.02.16.1
@@ -1286,6 +1307,8 @@
  free_smartphone_resource_enable@Base 2012.02.16.1
  free_smartphone_resource_enable_finish@Base 2012.02.16.1
  free_smartphone_resource_error_quark@Base 2012.02.16.1
+ free_smartphone_resource_get_default_policy@Base 2012.05.24.1-1.1
+ free_smartphone_resource_get_default_policy_finish@Base 2012.05.24.1-1.1
  free_smartphone_resource_get_dependencies@Base 2012.02.16.1
  free_smartphone_resource_get_dependencies_finish@Base 2012.02.16.1
  free_smartphone_resource_get_type@Base 2012.02.16.1
@@ -1297,6 +1320,7 @@
  free_smartphone_resource_suspend_finish@Base 2012.02.16.1
  free_smartphone_resource_sync_disable@Base 2012.02.16.1
  free_smartphone_resource_sync_enable@Base 2012.02.16.1
+ free_smartphone_resource_sync_get_default_policy@Base 2012.05.24.1-1.1
  free_smartphone_resource_sync_get_dependencies@Base 2012.02.16.1
  free_smartphone_resource_sync_get_type@Base 2012.02.16.1
  free_smartphone_resource_sync_proxy_get_type@Base 2012.02.16.1
dh_makeshlibs: dpkg-gensymbols -plibfso-glib1 -Idebian/libfso-glib1.symbols -Pdebian/libfso-glib1 -edebian/libfso-glib1/usr/lib/x86_64-linux-gnu/libfso-glib.so.1.0.0

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#693577; Package src:libfso-glib. (Tue, 04 Dec 2012 16:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivo De Decker <ivo.dedecker@ugent.be>:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Tue, 04 Dec 2012 16:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 693577@bugs.debian.org (full text, mbox):

From: Ivo De Decker <ivo.dedecker@ugent.be>
To: Paul Wise <pabs@debian.org>
Cc: 693577@bugs.debian.org
Subject: Re: libfso-glib: not properly built from source (actual source is in fso-specs)
Date: Tue, 4 Dec 2012 17:30:50 +0100
Control: severity -1 important

Hi Paul,

On Sun, Nov 18, 2012 at 10:40:22AM +0800, Paul Wise wrote:
> Not sure if this bug should be RC or not, please downgrade it if not.
> Either way, I suppose it should be wheezy-ignore since fixing it will
> probably require a transition.

As your bug report is not meant for wheezy, I'm downgrading this bug.

Cheers,

Ivo




Severity set to 'important' from 'serious' Request was from Ivo De Decker <ivo.dedecker@ugent.be> to 693577-submit@bugs.debian.org. (Tue, 04 Dec 2012 16:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#693577; Package src:libfso-glib. (Tue, 04 Dec 2012 23:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Tue, 04 Dec 2012 23:54:03 GMT) Full text and rfc822 format available.

Message #17 received at 693577@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Ivo De Decker <ivo.dedecker@ugent.be>
Cc: 693577@bugs.debian.org
Subject: Re: libfso-glib: not properly built from source (actual source is in fso-specs)
Date: Wed, 05 Dec 2012 07:50:52 +0800
[Message part 1 (text/plain, inline)]
Control: severity -1 serious

On Tue, 2012-12-04 at 17:30 +0100, Ivo De Decker wrote:

> As your bug report is not meant for wheezy, I'm downgrading this bug.

Downgrading the bug is not the way to do this. If the bug should not
block the wheezy release, ask the release team for a wheezy-ignore tag.

reportbug release.debian.org
select other (4)

It is still a severity serious bug and should remain that way.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'important' Request was from Paul Wise <pabs@debian.org> to 693577-submit@bugs.debian.org. (Tue, 04 Dec 2012 23:54:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 07 Jan 2013 04:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#693577; Package src:libfso-glib. (Sat, 12 Jan 2013 21:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Sat, 12 Jan 2013 21:45:05 GMT) Full text and rfc822 format available.

Message #26 received at 693577@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Paul Wise <pabs@debian.org>, 693577@bugs.debian.org
Subject: Re: Bug#693577: libfso-glib: not properly built from source (actual source is in fso-specs)
Date: Sat, 12 Jan 2013 21:44:00 +0000
On Sun, 18 Nov 2012 at 10:40:22 +0800, Paul Wise wrote:
> The source code that is in this package is all generated (see below) and
> as far as I can tell, despite build-depending on the required source
> (fso-specs) and the tools (vala-dbus-binding-tool) required to build
> that source, the build process does not generate those files from
> source.
...
> If I delete the generated code and build from the actual source then the
> package FTBFS because the ABI specified in fso-specs is different from
> the ABI specified by the version of fso-specs

This sounds very familiar. I considered this approach for Telepathy,
but rejected it because of problems like this.

In Telepathy, part of the C "source" of src:telepathy-glib, and part
of the C++ "source" of src:telepathy-qt, is generated from D-Bus
interface XML. A version of that XML is also available
for documentation purposes in src:telepathy-spec, but it does not
necessarily correspond 1:1 to either of the libraries.

What we do in Telepathy is to include a copy of the XML in each of
src:telepathy-glib and src:telepathy-qt, and build the generated C
"source" from that. Each library's version of the XML can either be
the current version from src:telepathy-spec, or some older version
if the library's maintainers haven't been able to update it yet.

In particular, this means that each library is always in sync with the
XML that it includes, each library is self-contained, and each library's
ABI is fixed: it can't lose functions by being compiled against an older
compatible version, gain functions from a newer compatible version, or
break ABI by being compiled against an incompatible version.

I suggest that libfso-glib should do the same: ship a copy of the
source (D-Bus XML like Telepathy's, I think?) corresponding to its
generated "source" (that's probably some older version of fso-specs)
and use that to build the generated code at compile time.

    S



Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#693577; Package src:libfso-glib. (Sun, 13 Jan 2013 00:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Sun, 13 Jan 2013 00:27:03 GMT) Full text and rfc822 format available.

Message #31 received at 693577@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Simon McVittie <smcv@debian.org>
Cc: 693577@bugs.debian.org
Subject: Re: Bug#693577: libfso-glib: not properly built from source (actual source is in fso-specs)
Date: Sun, 13 Jan 2013 08:25:27 +0800
[Message part 1 (text/plain, inline)]
On Sat, 2013-01-12 at 21:44 +0000, Simon McVittie wrote:

> This sounds very familiar. I considered this approach for Telepathy,
> but rejected it because of problems like this.

There is a fix for this bug available in NEW:

https://ftp-master.debian.org/new/libfso-glib_2012.07.27.2-1.html

BTW, Debian strongly discourages embedded code copies:

https://wiki.debian.org/EmbeddedCodeCopies

Personally, I think the solution is to merge the specs into the library
source package and drop the specs source package. Unless the specs are
used in multiple source packages, then the solution is the one used by
libshr-glib (use Built-Using and don't ship pre-generated files).

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#693577; Package src:libfso-glib. (Mon, 14 Jan 2013 08:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Mon, 14 Jan 2013 08:45:03 GMT) Full text and rfc822 format available.

Message #36 received at 693577@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Paul Wise <pabs@debian.org>
Cc: 693577@bugs.debian.org
Subject: Re: Bug#693577: libfso-glib: not properly built from source (actual source is in fso-specs)
Date: Mon, 14 Jan 2013 08:42:57 +0000
On 13/01/13 00:25, Paul Wise wrote:
> On Sat, 2013-01-12 at 21:44 +0000, Simon McVittie wrote:
>> This sounds very familiar. I considered this approach for
>> Telepathy, but rejected it because of problems like this.
> 
> BTW, Debian strongly discourages embedded code copies:
> 
> https://wiki.debian.org/EmbeddedCodeCopies

I know, but D-Bus interface XML is pretty far from being code - the
closest equivalent that you'd call "code" would be C headers that don't
have any inline functions or macros. It can't have bugs other than
design flaws and feature requests, and the closest it can get to a
security bug is "implementations of this method that obey its
documentation can't be secure" (which would still be a bug in the
implementation, IMO).

> Personally, I think the solution is to merge the specs into the
> library source package and drop the specs source package.

If there's only one library, this is functionally equivalent; in
Debian, telepathy-spec is only provided as documentation.

> Unless the specs are used in multiple source packages, then the
> solution is the one used by libshr-glib (use Built-Using and don't
> ship pre-generated files).

Not shipping pre-generated files, sure. Telepathy doesn't do that
either; we do the code-generation at build-time.

I still think importing D-Bus interfaces from another source package,
if they affect your ABI, is actively harmful: it makes the ABI of the
current source package depend on an external factor. To make the ABI
predictable you'd need a (= something) dependency, at which point
you'd have to do sourceful uploads of every affected package in lockstep.

    S



Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#693577; Package src:libfso-glib. (Sun, 17 Mar 2013 20:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Sun, 17 Mar 2013 20:27:08 GMT) Full text and rfc822 format available.

Message #41 received at 693577@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 693577@bugs.debian.org
Subject: re: libfso-glib: not properly built from source (actual source is in fso-specs)
Date: Sun, 17 Mar 2013 16:24:29 -0400
control: tag -1 -patch

Removing tag since the proposed patch is incomplete.

Best wishes,
Mike



Removed tag(s) patch. Request was from Michael Gilbert <mgilbert@debian.org> to 693577-submit@bugs.debian.org. (Sun, 17 Mar 2013 20:27:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>:
Bug#693577; Package src:libfso-glib. (Sat, 23 Mar 2013 12:27:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>. (Sat, 23 Mar 2013 12:27:11 GMT) Full text and rfc822 format available.

Message #48 received at 693577@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: 693577@bugs.debian.org
Subject: re: libfso-glib: not properly built from source (actual source is in fso-specs)
Date: Sat, 23 Mar 2013 13:20:34 +0100
Control: tag -1 -pending

Removing months-old pending tag.


-- 
Every great idea is worthless without someone to do the work. --Neil Williams



Removed tag(s) pending. Request was from Serafeim Zanikolas <sez@debian.org> to 693577-submit@bugs.debian.org. (Sat, 23 Mar 2013 12:27:11 GMT) Full text and rfc822 format available.

Added tag(s) wheezy-ignore. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Wed, 01 May 2013 20:06:07 GMT) Full text and rfc822 format available.

Reply sent to Sebastian Reichel <sre@debian.org>:
You have taken responsibility. (Sun, 05 May 2013 23:03:08 GMT) Full text and rfc822 format available.

Notification sent to Paul Wise <pabs@debian.org>:
Bug acknowledged by developer. (Sun, 05 May 2013 23:03:08 GMT) Full text and rfc822 format available.

Message #57 received at 693577-close@bugs.debian.org (full text, mbox):

From: Sebastian Reichel <sre@debian.org>
To: 693577-close@bugs.debian.org
Subject: Bug#693577: fixed in libfso-glib 2012.07.27.2-1
Date: Sun, 05 May 2013 23:00:09 +0000
Source: libfso-glib
Source-Version: 2012.07.27.2-1

We believe that the bug you reported is fixed in the latest version of
libfso-glib, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693577@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sebastian Reichel <sre@debian.org> (supplier of updated libfso-glib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 06 Jan 2013 20:31:45 +0100
Source: libfso-glib
Binary: libfso-glib2 libfso-glib-dev libfso-glib-dbg
Architecture: source amd64
Version: 2012.07.27.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian FreeSmartphone.Org Team <pkg-fso-maint@lists.alioth.debian.org>
Changed-By: Sebastian Reichel <sre@debian.org>
Description: 
 libfso-glib-dbg - debugging symbols for use with libfso-glib
 libfso-glib-dev - Development files for libfso-glib
 libfso-glib2 - freesmartphone.org GLib-based DBus bindings
Closes: 675648 693577
Changes: 
 libfso-glib (2012.07.27.2-1) unstable; urgency=low
 .
   [ Lukas Märdian ]
   * New upstream release
   * Bump ABI version
   * Update to vala 0.16 (Closes: #675648)
   * Update to vala-dbus-binding-tool 0.4.0
 .
   [ Paul Wise ]
   * Remove prebuilt files in clean target, so that they
     are rebuilt from fso-specs.
 .
   [ Sebastian Reichel ]
   * Add Built-Using tags to all generated packages (Closes: #693577)
Checksums-Sha1: 
 7a3a8bb4c49df21db83455ae41abf2a68e407f98 2370 libfso-glib_2012.07.27.2-1.dsc
 6e453ea8da192ef86cc2be35ba475803a7f59840 500419 libfso-glib_2012.07.27.2.orig.tar.bz2
 489482eb8f694006a44ddb52428de70e62587730 10338 libfso-glib_2012.07.27.2-1.debian.tar.gz
 0eca233ec6e8ae71c2c449e3fcf0a4f530900ec2 408444 libfso-glib2_2012.07.27.2-1_amd64.deb
 605076bb695d8b1f71c16246c2a9e072d26710b3 42046 libfso-glib-dev_2012.07.27.2-1_amd64.deb
 d04ac520728dadadda80ebffcbaf51fc615d64b7 1304672 libfso-glib-dbg_2012.07.27.2-1_amd64.deb
Checksums-Sha256: 
 7b410e63fec89b1dbc6d708d08f0a119fee9e73b2cf059936fccda70293d50f7 2370 libfso-glib_2012.07.27.2-1.dsc
 4f9ead3e400b910c9bd5ca1e9f7691c96bcb2210a5ffd44321d6e14554bf0777 500419 libfso-glib_2012.07.27.2.orig.tar.bz2
 804a80d59b434e34ab70d5cc791029f7c8683cfc9a09c3a0e44666581f49ea2c 10338 libfso-glib_2012.07.27.2-1.debian.tar.gz
 70e4c17cfac47898dad5cacd7c6203f320994a66a231924e736a74c840277d28 408444 libfso-glib2_2012.07.27.2-1_amd64.deb
 e444fc76f86302b09259d01d5b3ea485a89484c2e637def7cf5b809b49d95252 42046 libfso-glib-dev_2012.07.27.2-1_amd64.deb
 c2ee79e49b2f18f38c459b65c1155a74fc438840b5714f46b10227c3742d4997 1304672 libfso-glib-dbg_2012.07.27.2-1_amd64.deb
Files: 
 c71752d899e0000b5f41ad1fb51db9ff 2370 libs extra libfso-glib_2012.07.27.2-1.dsc
 5eae8b8ef3668077550d7e65c313ed7f 500419 libs extra libfso-glib_2012.07.27.2.orig.tar.bz2
 42db68667c25a73d53870eaf2ddf8ce3 10338 libs extra libfso-glib_2012.07.27.2-1.debian.tar.gz
 429d35301df5d6bcf5bb78600ebf5638 408444 libs extra libfso-glib2_2012.07.27.2-1_amd64.deb
 86821052f55052c34105f4d1a88e17eb 42046 libdevel extra libfso-glib-dev_2012.07.27.2-1_amd64.deb
 f0eb9afe5644d5399e1a9e8d4d1d4404 1304672 debug extra libfso-glib-dbg_2012.07.27.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ6dqZAAoJENju1/PIO/qauOwP/3ChYYuzcKuIc1e+DxxmZHHw
Epwm+six4R+xKF2LZEaZngMQYpnaHyq5eKK/AWcS6BrwvkcsBPJlBQklyiyCJlh8
90CkT3MyNc0lzV2ycinj+T9mZJo72u/Uj9XQNorff5EvfjOQM3omhXNq5mG2GHql
SleCXoZLdOyVtRvJJYfvnJAVsYV6vm9HLd58qAdZe2dOZGMHZLftG90Uj8I0FLCm
arZ4yKFnI6+OnEOaIaXAtI8AY/TPthE+Szjq3Zdz+Uf4Jv4Hb0s82145hk4Eyst+
e8ZfhfSS/ea4l42hkujPE0NDOc7wo8caPcfvPRF1r7M47vR7xYZPhAambWiBai+X
fZZi+eHKgMHvR8nOHrHXf8qJ76/DnKnhrhaz51niwPAsvelVUiTtno/hkzUJgyNZ
LP23qRS3BbC/odzMxKibdk0qQRncwZ4w6Ae2rMHoTtJZnzKlZrdGRDEmQWYBvNvp
vM1XdmF/WQZqcsK6xRGx1ofRl6r0jB2RZvNI9f4bDwBQbuh2eMRz4U+80VackK+B
TA/ar3RJGqBgnbRCFlmiiNRDr30jIbaJXDXkDXANQIa0tOPegCTASh5zp8LPXvw/
vOzzF3hAJdeuSPuw1HAQCoBT/TLSTmgz2efjqRd3HR6LJugEUWpQQ9M+F8dLZI+C
Pyfl9rc0tKebUASWpr4O
=pzIo
-----END PGP SIGNATURE-----




Added tag(s) squeeze-ignore. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Wed, 06 Nov 2013 02:33:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:28:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.